'use strict';

const index = require('./index-36b3af04.js');
const stateTunnel = require('./state-tunnel-786a62ce.js');

const Tunnel = stateTunnel.createProviderConsumer({}, (subscribe, child) => (index.h("context-consumer", { subscribe: subscribe, renderer: child })));

function injectNotifier(Component) {
  Tunnel.injectProps(Component, ['notifier']);
}

exports.Tunnel = Tunnel;
exports.injectNotifier = injectNotifier;
